SSLRandomSeed startup builtin
SSLRandomSeed connect builtin

<IfDefine SSL>
	Listen 443
	AddType application/x-x509-ca-cert .crt
	AddType application/x-pkcs7-crl    .crl
	SSLPassPhraseDialog  builtin
	SSLSessionCache         dbm:/usr/logs/ssl_scache
	SSLSessionCacheTimeout  300
	SSLMutex  file:/usr/logs/ssl_mutex
	
	<VirtualHost _default_:443>
		DocumentRoot "/usr/www-mydomain"
		ServerName localhost:443
		ServerAdmin IMS@mydomain.fr
		ErrorLog /usr/logs/error_log
		SSLEngine on
		SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
		SSLCertificateFile /usr/conf/ssl.crt/mydomain.crt
		SSLCertificateKeyFile /usr/conf/ssl.key/mydomain.key
		<Files ~ "\.(cgi|shtml|phtml|php3?)$">
	  	  SSLOptions +StdEnvVars
		</Files>
		<Directory "/usr/cgi-bin">
	  	  SSLOptions +StdEnvVars
		</Directory>
		SetEnvIf User-Agent ".*MSIE.*" \
	         nokeepalive ssl-unclean-shutdown \
	         downgrade-1.0 force-response-1.0
	</VirtualHost>                                  
</IfDefine>
